UbixOS V2 2.0

Data Structures | Macros | Typedefs | Enumerations | Variables
objgfx30.h File Reference
`#include <stdlib.h>`
`#include "defpal.inc"`
Include dependency graph for objgfx30.h:

Go to the source code of this file.

## Data Structures
class | TGfx0
struct | TMode_Rec
struct | TPixelFmt
struct | TPoint
struct | TRGB
struct | TRGBA
class | TScreen
struct | TVESA_Rec

## Macros
#define | RadToDeg 180.0/3.14159265358979;

## Typedefs
typedef signed short int | Int16
typedef signed long int | Int32
typedef signed char | Int8
typedef unsigned short int | uInt16
typedef unsigned long int | uInt32
typedef unsigned char | uInt8

## Enumerations
enum | ogDataState { ogNONE, ogOWNER, ogALIASING }

## Variables
const TPixelFmt | DEF_MAC_PIXFMT_16BPP = { 16, 8, 4, 0, 12, 4, 4, 4, 4 }
const TPixelFmt | DEF_PIXFMT_15BPP = { 15, 10, 5, 0, 15, 5, 5, 5, 1 }
const TPixelFmt | DEF_PIXFMT_16BPP = { 16, 11, 5, 0, 0, 5, 6, 5, 0 }
const TPixelFmt | DEF_PIXFMT_24BPP = { 24, 16, 8, 0, 8, 8, 8 }
const TPixelFmt | DEF_PIXFMT_32BPP = { 32, 16, 8, 0, 24, 8, 8, 8, 8 }
const TPixelFmt | DEF_PIXFMT_8BPP = { 8, 0, 0, 0, 0, 0, 0, 0, 0 }
const TPixelFmt | NULL_PIXFMT = { 0, 0, 0, 0, 0, 0, 0, 0, 0 }

## Macro Definition Documentation

## ◆ RadToDeg

#define RadToDeg 180.0/3.14159265358979;

Definition at line 41 of file objgfx30.h.

## Typedef Documentation

## ◆ Int16

typedef signed short int Int16

Definition at line 44 of file objgfx30.h.

## ◆ Int32

typedef signed long int Int32

Definition at line 45 of file objgfx30.h.

## ◆ Int8

typedef signed char Int8

Definition at line 43 of file objgfx30.h.

## ◆ uInt16

typedef unsigned short int uInt16

Definition at line 48 of file objgfx30.h.

## ◆ uInt32

typedef unsigned long int uInt32

Definition at line 49 of file objgfx30.h.

## ◆ uInt8

typedef unsigned char uInt8

Definition at line 47 of file objgfx30.h.

## Enumeration Type Documentation

## ◆ ogDataState

enum ogDataState

Enumerator
ogNONE |
ogOWNER |
ogALIASING |

Definition at line 51 of file objgfx30.h.

## Variable Documentation

## ◆ DEF_MAC_PIXFMT_16BPP

const TPixelFmt DEF_MAC_PIXFMT_16BPP = { 16, 8, 4, 0, 12, 4, 4, 4, 4 }

Definition at line 146 of file objgfx30.h.

## ◆ DEF_PIXFMT_15BPP

const TPixelFmt DEF_PIXFMT_15BPP = { 15, 10, 5, 0, 15, 5, 5, 5, 1 }

Definition at line 142 of file objgfx30.h.

## ◆ DEF_PIXFMT_16BPP

const TPixelFmt DEF_PIXFMT_16BPP = { 16, 11, 5, 0, 0, 5, 6, 5, 0 }

Definition at line 143 of file objgfx30.h.

## ◆ DEF_PIXFMT_24BPP

const TPixelFmt DEF_PIXFMT_24BPP = { 24, 16, 8, 0, 8, 8, 8 }

Definition at line 144 of file objgfx30.h.

## ◆ DEF_PIXFMT_32BPP

const TPixelFmt DEF_PIXFMT_32BPP = { 32, 16, 8, 0, 24, 8, 8, 8, 8 }

Definition at line 145 of file objgfx30.h.

## ◆ DEF_PIXFMT_8BPP

const TPixelFmt DEF_PIXFMT_8BPP = { 8, 0, 0, 0, 0, 0, 0, 0, 0 }

Definition at line 141 of file objgfx30.h.

## ◆ NULL_PIXFMT

const TPixelFmt NULL_PIXFMT = { 0, 0, 0, 0, 0, 0, 0, 0, 0 }

Definition at line 140 of file objgfx30.h.